LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XShapes Interface Referencepublished

makes it possible to access, add, and remove the Shapes in a collection. More...

`import"XShapes.idl";`

Inheritance diagram for XShapes:

## Public Member Functions
void | add ([in] com::sun::star::drawing::XShape xShape)
| inserts a Shape into this collection. More...
void | remove ([in] com::sun::star::drawing::XShape xShape)
| removes a Shape from this collection. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

makes it possible to access, add, and remove the Shapes in a collection.

See also
  DrawPage
  MasterPage
  DrawingDocumentDrawView

## Member Function Documentation

## ◆ add()

void add | ( | [in] com::sun::star::drawing::XShape | xShape | ) |

inserts a Shape into this collection.

Parameters

  xShape | a Shape that will be inserted.

## ◆ remove()

void remove | ( | [in] com::sun::star::drawing::XShape | xShape | ) |

removes a Shape from this collection.

Parameters

  xShape | the Shape will be removed from the collection and disposed.

The documentation for this interface was generated from the following file:

- com/sun/star/drawing/XShapes.idl